Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 663310 - x11-misc/albert-0.14.21 : /.../usagedatabase.cpp:197:20: error: incomplete type QDateTime used in nested name specifier
Summary: x11-misc/albert-0.14.21 : /.../usagedatabase.cpp:197:20: error: incomplete ty...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michael Palimaka (kensington)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-08-10 16:26 UTC by Toralf Förster
Modified: 2018-10-11 12:07 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.32 KB, text/plain)
2018-08-10 16:26 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,130.58 KB, text/plain)
2018-08-10 16:26 UTC, Toralf Förster
Details
environment (environment,120.29 KB, text/plain)
2018-08-10 16:26 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.39 KB, application/x-bzip)
2018-08-10 16:26 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,4.49 KB, application/x-bzip)
2018-08-10 16:26 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,31.59 KB, application/x-bzip)
2018-08-10 16:26 UTC, Toralf Förster
Details
x11-misc:albert-0.14.21:20180810-161711.log (x11-misc:albert-0.14.21:20180810-161711.log,84.77 KB, text/plain)
2018-08-10 16:26 UTC, Toralf Förster
Details
emerge-info.txt (emerge-info.txt,15.92 KB, text/plain)
2018-09-03 20:32 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,39.79 KB, text/plain)
2018-09-03 20:32 UTC, Toralf Förster
Details
environment (environment,116.44 KB, text/plain)
2018-09-03 20:32 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,22.65 KB, application/x-bzip)
2018-09-03 20:32 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,4.57 KB, application/x-bzip)
2018-09-03 20:32 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,30.72 KB, application/x-bzip)
2018-09-03 20:32 UTC, Toralf Förster
Details
x11-misc:albert-0.14.21:20180903-200227.log (x11-misc:albert-0.14.21:20180903-200227.log,85.39 KB, text/plain)
2018-09-03 20:32 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-08-10 16:26:07 UTC
/var/tmp/portage/x11-misc/albert-0.14.21/work/albert-0.14.21/lib/albertcore/src/core/usagedatabase.cpp: In static member function ‘static void Core::UsageDatabase::trySendReport()’:
/var/tmp/portage/x11-misc/albert-0.14.21/work/albert-0.14.21/lib/albertcore/src/core/usagedatabase.cpp:197:20: error: incomplete type ‘QDateTime’ used in nested name specifier
     if (QDateTime::fromMSecsSinceEpoch(last_report*1000).date() != QDate::currentDate()) {
                    ^~~~~~~~~~~~~~~~~~~
/var/tmp/portage/x11-misc/albert-0.14.21/work/albert-0.14.21/lib/albertcore/src/core/usagedatabase.cpp:197:75: error: incomplete type ‘QDate’ used in nested name specifier

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-gnome_libressl_20180807-191333

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv x11-misc/albert
[ebuild  N    ] x11-misc/albert-0.14.21  USE="-debug"
Comment 1 Toralf Förster gentoo-dev 2018-08-10 16:26:10 UTC
Created attachment 542932 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-08-10 16:26:13 UTC
Created attachment 542934 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2018-08-10 16:26:16 UTC
Created attachment 542936 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2018-08-10 16:26:19 UTC
Created attachment 542938 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-08-10 16:26:22 UTC
Created attachment 542940 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-08-10 16:26:24 UTC
Created attachment 542942 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2018-08-10 16:26:27 UTC
Created attachment 542944 [details]
x11-misc:albert-0.14.21:20180810-161711.log
Comment 8 Andreas Sturmlechner gentoo-dev 2018-09-03 19:01:01 UTC
hmm works for me.
Comment 9 Toralf Förster gentoo-dev 2018-09-03 20:32:18 UTC
got at the unstable amd64 chroot image 17.0-desktop_libressl_20180902-143139 this too
Comment 10 Toralf Förster gentoo-dev 2018-09-03 20:32:22 UTC
Created attachment 545852 [details]
emerge-info.txt
Comment 11 Toralf Förster gentoo-dev 2018-09-03 20:32:25 UTC
Created attachment 545854 [details]
emerge-history.txt
Comment 12 Toralf Förster gentoo-dev 2018-09-03 20:32:28 UTC
Created attachment 545856 [details]
environment
Comment 13 Toralf Förster gentoo-dev 2018-09-03 20:32:30 UTC
Created attachment 545858 [details]
etc.portage.tbz2
Comment 14 Toralf Förster gentoo-dev 2018-09-03 20:32:33 UTC
Created attachment 545860 [details]
logs.tbz2
Comment 15 Toralf Förster gentoo-dev 2018-09-03 20:32:36 UTC
Created attachment 545862 [details]
temp.tbz2
Comment 16 Toralf Förster gentoo-dev 2018-09-03 20:32:39 UTC
Created attachment 545864 [details]
x11-misc:albert-0.14.21:20180903-200227.log
Comment 17 Andreas Sturmlechner gentoo-dev 2018-10-09 13:51:34 UTC
What about 0.14.22?
Comment 18 Toralf Förster gentoo-dev 2018-10-09 14:54:27 UTC
(In reply to Andreas Sturmlechner from comment #17)
pls see bug #666998
Comment 19 Toralf Förster gentoo-dev 2018-10-09 14:55:20 UTC
(In reply to Toralf Förster from comment #18)
BUT OTOH it compiles here at 1 image:

/home/tinderbox/run/17.0-desktop-plasma-systemd_20181006-204435/var/log/emerge.log
Tue Oct  9 16:54:55 2018 >>> x11-misc/albert-0.14.22
albert: Tue Oct  9 16:50:50 2018: 4 minutes, 5 seconds
albert: 1 times
Comment 20 Michael Palimaka (kensington) gentoo-dev 2018-10-11 12:07:15 UTC
This is fixed in 0.14.22 (the code is gone).